Package org.apache.tapestry5.corelib.pages

# Class PageCatalog

java.lang.Object
org.apache.tapestry5.corelib.pages.PageCatalog

@UnknownActivationContextCheck(false) @WhitelistAccessOnly public class PageCatalog extends Object
Lists out the currently loaded pages, using a `Grid`. Provides an option to force all pages to be loaded. In development mode, includes an option to clear the page cache.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static BeanModel<Page>`
  `model`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageCatalog()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `formatElapsed(double millis)`
  `List<String>`
  `getDependencies()`
  `String`
  `getDisplayLogicalName()`
  `String`
  `getGraphvizValue()`
  `String`
  `getLogicalName(String className)`
  `String`
  `getPageClassName()`
  `List<String>`
  `getPageNames()`
  `Collection<Page>`
  `getPages()`
  `String`
  `getSelectedPageClassName()`
  `void`
  `onComponentTree(MarkupWriter writer)`
  `void`
  `onPageStructure(String pageName)`
  `void`
  `onRecomputeTotals()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### model

    @Property public static BeanModel<Page> model

- ## Constructor Details

  - ### PageCatalog

    public PageCatalog()

- ## Method Details

  - ### onRecomputeTotals

    public void onRecomputeTotals()

  - ### getPageNames

    public List<String> getPageNames()

  - ### getPages

    public Collection<Page> getPages()

  - ### formatElapsed

    public String formatElapsed(double millis)

  - ### getDependencies

    public List<String> getDependencies()

  - ### onPageStructure

    public void onPageStructure(String pageName)

  - ### getDisplayLogicalName

    public String getDisplayLogicalName()

  - ### getPageClassName

    public String getPageClassName()

  - ### getSelectedPageClassName

    public String getSelectedPageClassName()

  - ### onComponentTree

    public void onComponentTree(MarkupWriter writer)

  - ### getLogicalName

    public String getLogicalName(String className)

  - ### getGraphvizValue

    public String getGraphvizValue()